Package org.gradle.api.reporting

## Interface DirectoryReport

- All Superinterfaces:
    `org.gradle.util.Configurable<Report>`, `ConfigurableReport`, `Report`, `Serializable`
  All Known Subinterfaces:
    `JUnitXmlReport`

      public interface DirectoryReport
      extends ConfigurableReport

  A directory based report to be created.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.reporting.Report

      `Report.OutputType`

  - ### Field Summary

    - ### Fields inherited from interface org.gradle.api.reporting.Report

      `NAMER`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `File` | `getDestination()` | The location on the filesystem of the report when it is generated.
    `File` | `getEntryPoint()` | Returns the entry point of a directory based Report This can be the index.html file in a HTML report
    `Report.OutputType` | `getOutputType()` | Always returns `Report.OutputType.DIRECTORY`

    - ### Methods inherited from interface org.gradle.util.Configurable

      `configure`

    - ### Methods inherited from interface org.gradle.api.reporting.ConfigurableReport

      `setDestination, setDestination, setEnabled, setEnabled`

    - ### Methods inherited from interface org.gradle.api.reporting.Report

      `getDisplayName, getName, isEnabled`

- - ### Method Detail

    - #### getEntryPoint

          @Internal
          File getEntryPoint()

      Returns the entry point of a directory based Report This can be the index.html file in a HTML report
      Returns:
        the entry point of the report or `getDestination()` if no entry point defined

    - #### getDestination

          @OutputDirectory
          File getDestination()

      Description copied from interface: `Report`
      The location on the filesystem of the report when it is generated.

      Depending on the `output type` of the report, this may point to a file or a directory.

      Subtypes may implement setters for the destination.

      Specified by:
        `getDestination` in interface `Report`
      Returns:
        The location on the filesystem of the report when it is generated

    - #### getOutputType

          Report.OutputType getOutputType()

      Always returns `Report.OutputType.DIRECTORY`
      Specified by:
        `getOutputType` in interface `Report`
      Returns:
        `Report.OutputType.DIRECTORY`